/**
 * 
 */
package com.ejie.ad74a.model;

import java.time.LocalDate;

/**
 * Representacion de maniobra para pisos tutelados
 * @author BICUGUAL
 *
 */
public class PisoTutelado extends Piso {

	private static final long serialVersionUID = 1L;

	private Long idPisoTutelado;
	private String denominacion;

	public PisoTutelado() {
		super();
	}

	public PisoTutelado(LocalDate fDesde, LocalDate fHasta) {
		super(fDesde, fHasta); 
	}

	public Long getIdPisoTutelado() {
		return idPisoTutelado;
	}

	public void setIdPisoTutelado(Long idPisoTutelado) {
		this.idPisoTutelado = idPisoTutelado;
	}

	public String getDenominacion() {
		return denominacion;
	}

	public void setDenominacion(String denominacion) {
		this.denominacion = denominacion;
	}

//	public LocalDate getfDesde() {
//		return fDesde;
//	}
//
//	public void setfDesde(LocalDate fDesde) {
//		this.fDesde = fDesde;
//	}
//
//	public LocalDate getfHasta() {
//		return fHasta;
//	}
//
//	public void setfHasta(LocalDate fHasta) {
//		this.fHasta = fHasta;
//	}
//
//	@Override
//	public String toString() {
//		return "PisoTutelado [idPisoTutelado=" + idPisoTutelado + ", denominacion=" + denominacion + ", fDesde="
//				+ fDesde + ", fHasta=" + fHasta + "]";
//	}

	@Override
	public String toString() {
		return "PisoTutelado [idPisoTutelado=" + idPisoTutelado + ", denominacion=" + denominacion + ", getfDesde()="
				+ getfDesde() + ", getfHasta()=" + getfHasta() + "]";
	}
	
}
